iPhone Dev Team have released a new special edition of the PwnageTool for Mac OS X to support the unlock of iOS 4.2.1 / 4.1 on iPhone 3GS or 3G. PwnageTool 4.1.3 helps to update the baseband to 06.15.00 which supports the unlock with Ultrasn0w 1.2. But some drawbacks of doing this are the following :

  1. There is no way to come back down from 06.15, and there’s no hiding the baseband version from Apple.  You’ll be voiding your warranty in a very obvious way.
  2. If some future baseband comes out with a critical fix, you won’t be able to update to it if it remains down in the 05.xx sequence (then again, you wouldn’t update to it if you wanted to keep your unlock anyway).
  3. Starting with FW 4.2.1 if you have 06.15 on your iPhone you won’t ever be able to restore to stock firmware (it will fail).  You’ll need to only restore to custom IPSWs (then again, if you’re unlocker you should already be doing that).

You could get the download link for PwnageTool 4.1.3 from Dev Team’s blog as we are unable to post the link.

Stay tuned for more updates!